Subject: Re: [PATCH/RFC] Allow writing loose objects that are corrupted in a pack file

From: "R. Tyler Ballance" <[email-masked]>
Date: Wed, 07 Jan 2009 00:32:11 -0800

On Wed, 2009-01-07 at 00:16 -0800, Junio C Hamano wrote:
> "R. Tyler Ballance" <[email-masked]> writes:
> 
> > Unfortunately it doesn't, what I did notice was this when I did a `git
> > status` in the directory right after untarring:
> >         tyler@grapefruit:~/jburgess_main> git status
> >         #
> >         # ---impressive amount of file names fly by---
> >         # ----snip---
> > ...
> > Basically, somehow Git thinks that *every* file in the repository is
> > deleted at this point.
> 
> That makes me suspect that your .git/index file is corrupt.

Would this be tied to the corrupted pack file issue, or separate.

Either way, how could I verify your assumptions? (i'll be lurking in
#git for a while if you want to interactively help ;))

Cheers
-- 
-R. Tyler Ballance
Slide, Inc.